import Head from "next/head";
import Image from "next/image";
import styles from "../styles/Home.module.css";

export default function Home() {
  return (
    <div className={styles.container}>
      <Head>
        <title>Next.JS Error Factory</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main className={styles.main}>
        <h1 className={styles.title}>Next.js Error Factory</h1>

        <div className={styles.grid}>
          <a
            onClick={() => {
              throw Error("Generic Error Message");
            }}
            className={styles.card}
          >
            <h2>Generic Error Message</h2>
          </a>

          <a
            onClick={() => {
              eval("nope");
            }}
            className={styles.card}
          >
            <h2>Syntax error</h2>
          </a>

          <a
            onClick={() => {
              decodeURIComponent("%");
            }}
            className={styles.card}
          >
            <h2>URI error</h2>
          </a>

          <a
            onClick={() => {
              let a = undefinedVariable;
            }}
            className={styles.card}
          >
            <h2>Reference Error</h2>
          </a>
        </div>
      </main>

      <footer className={styles.footer}>
        <a
          href="https://vercel.com?utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"
          target="_blank"
          rel="noopener noreferrer"
        >
          Powered by{" "}
          <span className={styles.logo}>
            <Image src="/vercel.svg" alt="Vercel Logo" width={72} height={16} />
          </span>
        </a>
      </footer>
    </div>
  );
}
